from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.lang import XEventListener

@runtime_checkable
class XDropTargetListener(XEventListener, Protocol):
    def drop(self, dtde: DropTargetDropEvent) -> None: ...
    def dragEnter(self, dtdee: DropTargetDragEnterEvent) -> None: ...
    def dragExit(self, dte: DropTargetEvent) -> None: ...
    def dragOver(self, dtde: DropTargetDragEvent) -> None: ...
    def dropActionChanged(self, dtde: DropTargetDragEvent) -> None: ...
